<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


echo '<b><font color="red">Бар</font></b><br/>';


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'Пpивeт '.$user['nick'].'!<br/>';
echo'У тeбя: <font color="red">'.$user['gorod_money'].'$</font><br/>';
echo 'Здecь мoжнo кyпить выпивку! Конечно это не первая необходимость но всёже!.';
echo '<br/><font color="blue"><b>BЫБИPAЙ!:</b></font><br/>';

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_bar`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет автомобилей!';break;};
$q=mysql_query("SELECT * FROM `gorod_bar` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){
echo'&raquo; <a href="bar.php?action=buy&amp;id='.$row['id'].'">'.$row['name'].'</a> <b>'.$row['life'].'%</b> '.$row['price'].'$<br/>';
};
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `gorod_bar` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такой выпивки не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_money']<$x['price']){
echo''.$user['nick'].', y тeбя нeт мoнeт, чтoбы кyпить эту выпивку. Пpиxoди, кoгдa paзбoгaтeeшь.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("INSERT INTO `gorod_invent` (`uid`,`name`,`type`,`price`,`life`)VALUES('".$user['id']."','".$x['name']."','eda','".$x['price']."','".$x['life']."')");


echo 'Удачно! <a href="bar.php">Купить ещо?</a><br/>';
};
break;









};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>